function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
    game_state.active_objects = {}

	play_field:GetObject('sprait_fotki'):SetVisible(false);
	play_field:GetObject('frame_OnTable'):SetVisible(false);
	
	play_field:GetObject('area'):SetVisible(false);
	
	play_field:IgnoreOnTestPoint('radial_glow_1')
	play_field:IgnoreOnTestPoint('radial_glow_2')
	play_field:IgnoreOnTestPoint('radial_glow_3')
	play_field:IgnoreOnTestPoint('radial_glow_4')

		
	game_state.meta_object = 'cigar16'
	
	play_field:IgnoreOnTestPoint('okno')
end

function OnScreenShown()
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnUpdate(dt)
end

function OnExit()
end

function OnNotebookOpened()
end


function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnMinigameCompleted()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/bak.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bak',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/anchor.png',0,0,52,62,1,0)
	anim:SetHotSpot(26,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,591,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/axe.png',0,0,57,107,1,0)
	anim:SetHotSpot(28,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,429,551,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/bell.png',0,0,42,80,1,0)
	anim:SetHotSpot(21,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,146,715,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/clothes_pin.png',0,0,19,37,1,0)
	anim:SetHotSpot(9,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothes_pin',anim,990,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/goblet.png',0,0,18,45,1,0)
	anim:SetHotSpot(9,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('goblet',anim,536,386,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/key.png',0,0,52,21,1,0)
	anim:SetHotSpot(26,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,353,643,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/lion.png',0,0,33,36,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lion',anim,713,189,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/mask.png',0,0,49,43,1,0)
	anim:SetHotSpot(24,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,928,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/microscope.png',0,0,44,76,1,0)
	anim:SetHotSpot(22,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('microscope',anim,871,425,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece.png',0,0,72,29,1,0)
	anim:SetHotSpot(36,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('1photo_piece',anim,979,574,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece_2.png',0,0,73,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2photo_piece',anim,864,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/pliers.png',0,0,64,43,1,0)
	anim:SetHotSpot(32,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,924,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/ship.png',0,0,96,83,1,0)
	anim:SetHotSpot(48,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,480,379,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/slingshot.png',0,0,50,33,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot',anim,1002,525,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/spoon.png',0,0,24,78,1,0)
	anim:SetHotSpot(12,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon',anim,584,345,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/spoon_2.png',0,0,40,63,1,0)
	anim:SetHotSpot(20,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon_2',anim,552,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/starfish.png',0,0,36,31,1,0)
	anim:SetHotSpot(18,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish',anim,842,261,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/trunk.png',0,0,90,54,1,0)
	anim:SetHotSpot(45,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trunk',anim,872,600,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_chemodana.png',0,0,136,89,1,0)
	anim:SetHotSpot(68,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_chemodana',anim,875,587,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki.png',0,0,186,101,1,0)
	anim:SetHotSpot(93,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki',anim,446,707,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki_2.png',0,0,97,76,1,0)
	anim:SetHotSpot(48,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki_2',anim,506,740,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki_3.png',0,0,121,52,1,0)
	anim:SetHotSpot(60,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki_3',anim,365,666,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_koroblya.png',0,0,60,52,1,0)
	anim:SetHotSpot(30,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_koroblya',anim,447,408,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_topora.png',0,0,73,156,1,0)
	anim:SetHotSpot(36,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_topora',anim,409,589,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_yakorya.png',0,0,39,87,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_yakorya',anim,608,206,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece.png',0,0,72,29,1,0)
	anim:SetHotSpot(36,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_photo_piece',anim,979,574,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece_2.png',0,0,73,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_photo_piece_2',anim,864,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area',anim,449,704,102,0,20,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_2',anim,447,709,102,0,20,10)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel5',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel6',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel7',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel8',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('lamp_area',anim,627,117,100,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/lamp_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lamp_bak',anim,512,384,160,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/frame.png',0,0,179,103,1,0)
	anim:SetHotSpot(89,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frame_OnTable',anim,451,710,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_1',anim,401,368,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_2',anim,628,492,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_3',anim,425,511,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_4',anim,598,376,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Comics/Assistant.png',0,0,499,654,1,0)
	anim:SetHotSpot(249,327)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Assistant',anim,422,442,40,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_ramki.png',0,0,420,296,1,0)
	anim:SetHotSpot(210,148)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('frame',anim,573,405,179,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_1.png',0,0,107,125,1,0)
	anim:SetHotSpot(53,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_1',anim,412,364,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_2.png',0,0,103,172,1,0)
	anim:SetHotSpot(51,86)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_2',anim,597,331,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_3.png',0,0,85,102,1,0)
	anim:SetHotSpot(42,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_3',anim,434,525,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_4.png',0,0,127,106,1,0)
	anim:SetHotSpot(63,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_4',anim,645,506,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/butterfly.png',0,0,53,92,1,0)
	anim:SetHotSpot(26,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,766,585,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/pin.png',0,0,19,48,1,0)
	anim:SetHotSpot(9,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pin',anim,761,686,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/rose.png',0,0,105,29,1,0)
	anim:SetHotSpot(52,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rose',anim,982,460,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/ruler.png',0,0,43,145,1,0)
	anim:SetHotSpot(21,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruler',anim,384,548,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/cigar16.png',0,0,102,132,1,0)
	anim:SetHotSpot(51,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar16',anim,337,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Animations/okno.png',0,0,411,190,25,10)
	anim:SetHotSpot(206,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('okno',anim,820,375,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
